#!/usr/bin/perl
use Verilog::Netlist;

my $opt = new Verilog::Getopt;
@ARGV = $opt->parameter (@ARGV);

if ($#ARGV < 0) {
    die("usage: $0 [-y libdir] [-v libfile] [+libext+.v] bentley_stitched.v > bentley_stitched_mrbuf2tlat.v");
}

my $file2parse = shift;

my $nl = new Verilog::Netlist(options => $opt);
$nl->read_file(filename => $file2parse);

if (!$nl) {
    die("could not read or parse $file2parse");
}

$nl->read_libraries;

$nl->link();
